Liberty Bay Credit Union
 

In regards to the recently-discovered vulnerability called Heart Bleed. By exploiting this vulnerability, attackers could access sensitive data, compromising the security of the server and its users.  Liberty Bay is aware of the Heart Bleed Bug (CVE-2014-0160) and has taken steps to evaluate whether there is impact.   We do not believe at this time there is an impact to our systems or your security. However, we are working with our webs host and various outlets to be confident in our security of your personal information.                                                                            Thank you for your cooperation, we will keep you posted as to our findings.


Copyright Liberty Bay Credit UnionPrivacy NoticeEqual Housing LenderNCUAMSIC

ID# 431460

Message of the Day

Close